# Submit Signed Transaction Hex

{% hint style="info" %}
Transactions submitted to this endpoint must include a bloXroute tip payment in order to be processed.
{% endhint %}

## Request

#### Method:

`POST ./wallet/broadcasthex`

#### Parameters:

<table><thead><tr><th width="179">Parameter</th><th width="154.2">type</th><th width="413">Description</th></tr></thead><tbody><tr><td><code>transaction</code></td><td><code>string</code></td><td>Transaction hex after sign:<br>Hex representation of protobuf marshaled <code>raw_data_hex</code> &#x26; <code>signature</code></td></tr></tbody></table>

#### Request example:

{% tabs %}
{% tab title="HTTP" %}

```bash
curl -X 'POST' \
  'https://' \
  -header "Authorization: $AUTH_HEADER" \
  -d '{
  "transaction": "0A8A010A0202D..."
}'
```

{% endtab %}
{% endtabs %}

### Response:

#### Fields:

<table><thead><tr><th width="214">Parameter</th><th width="110">Type</th><th width="422">Description</th></tr></thead><tbody><tr><td><code>result</code></td><td><code>bool</code></td><td><p>Whether the broadcast was successful.</p><p>True - Successful</p><p>False - Failed, and this field will not be displayed in the returned result</p></td></tr><tr><td><code>txid</code></td><td><code>string</code></td><td>The submitted Transaction id.</td></tr><tr><td><code>code</code></td><td><code>string</code></td><td>General error code info</td></tr><tr><td><code>message</code></td><td><code>string</code></td><td>Detailed information about the error</td></tr><tr><td><code>transaction</code></td><td><code>json</code></td><td>Transaction object in raw json format</td></tr><tr><td><code>Error</code></td><td><code>string</code></td><td>Tron error description. Optional</td></tr></tbody></table>

#### Example:

{% tabs %}
{% tab title="JSON" %}

```json
{
    "result": true,
    "code": "SUCCESS",
    "txid": "9f4023d47...",
    "message": "",
    "transaction": "{\"raw_data\": {\"ref_block_bytes\": \"29...\",\"ref_block_hash\": \"a75513...\",\"expiration\": 1727...,\"contract\": [{\"type\": \"TransferContract\",\"parameter\": {\"type_url\": \"type.googleapis.com/protocol.TransferContract\",\"value\": \"...\"}}],\"timestamp\": 17276...},\"signature\": [\"...\"]}"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bloxroute.com/tron-network/tron-trader-api/submit-signed-transaction-hex.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
